> ## Documentation Index
> Fetch the complete documentation index at: https://docs.extend.app/llms.txt
> Use this file to discover all available pages before exploring further.

# API Versioning

> Learn how to specify API versions and stay up to date with changes

## Overview

The Extend API uses versioning to ensure that your integration remains stable as we evolve our API. The version is specified using the `x-extend-api-version` header in your requests.

## Specifying a Version

To specify an API version, include the `x-extend-api-version` header in your requests.

The API version is specified in the format `YYYY-MM-DD` and corresponds to the date of the release that introduced the breaking changes.

```bash theme={null}
curl -X POST https://api-prod.extend.app/workflow_runs \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "x-extend-api-version: 2025-04-21" \
-H "Content-Type: application/json" \
-d '{ ... }'
```

*Important*: If you don't specify a version:

* When using an API key made before April 21, 2025, you'll automatically use the legacy version (`2024-12-23`)
* When using an API key made after April 21, 2025, you will receive an error and be required to specify an API version.
* Some organizations may default to a legacy version for backward compatibility predating the introduction of the `x-extend-api-version` header. Reach out to the Extend team if you need to change this.

*Note: The `v1` prefix is the routes is legacy and will be deprecated in the future. We recommend specifying the version using the `x-extend-api-version` header.*

## Webhook Endpoints

When you create a webhook endpoint in the Extend dashboard, you will be prompted to select the API version you'd like to use. All webhook notifications sent to that endpoint will include the same API version in the `x-extend-api-version` header, ensuring consistency in payload formats.

We strongly recommend keeping the versions defined on your webhook endpoint in sync with the version specified in your requests.

## API Version Changelog

| Version                                                  | Status  | Release Date                                                  | Changes                                                                                                                                                                                                                                                                      |
| -------------------------------------------------------- | ------- | ------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| <div style={{ whiteSpace: "nowrap" }}>`2025-04-21`</div> | Current | <div style={{ whiteSpace: "nowrap" }}>April 21, 2025</div>    | Exposed more granular control to several endpoints that use processor configurations. Breaking changes for the processor config schema. See our [migration guide](/api-reference/migrating_to_2025_04_21) for details.                                                       |
| <div style={{ whiteSpace: "nowrap" }}>`2024-12-23`</div> | Current | <div style={{ whiteSpace: "nowrap" }}>December 23, 2024</div> | Minor, backwards incompatible change: excel files now have their own file type EXCEL and data output shape that is distinct from CSVs. To migrate to new API version, if you are consuming the parsed data from all file types make sure to begin handling EXCEL separately. |
| <div style={{ whiteSpace: "nowrap" }}>`2024-11-14`</div> | Legacy  | <div style={{ whiteSpace: "nowrap" }}>November 14, 2024</div> | Significant, backwards incompatible change:New processor config format which is not fully backwards compatible with `2024-07-30`. See [here](/api-reference/guides/processor_configs) for new processor config schema.                                                       |
| <div style={{ whiteSpace: "nowrap" }}>`2024-07-30`</div> | Legacy  | <div style={{ whiteSpace: "nowrap" }}>July 30, 2024</div>     | Added support for webhook event subscriptions plus a suite of new endpoints for managing processors. And fully deprecated the legacy snake case `workflow_run` keys in favor of camel case.                                                                                  |
| <div style={{ whiteSpace: "nowrap" }}>`2024-02-01`</div> | Legacy  | <div style={{ whiteSpace: "nowrap" }}>February 1, 2024</div>  | Initial API version with support for workflows.                                                                                                                                                                                                                              |
